# Issuance

### Overview

Submitting a SAFc Issuance request requires uploading a supporting document (including a POS/POC and a PTD appended together) and then performing a form submission that refers to the document upload. We recommend familiarizing yourself with using the UI to perform issuances so you know how to structure your API requests.

### File Upload

Upload your supporting document first with this request URL: [https://safcregistry.energyweb.org/api/file](<https://safcregistry.energyweb.org/api/file&#xA;>)

You'll need to provide request headers including the bearer token and refere e.g.&#x20;

```
https://safcregistry.energyweb.org/holdings?accountId=cd863a81-156d-483e-ade5-bc0122856a7d&page=0&selectedTab=issuanceTable&limit=10

```

The payload is a binary file that must be PDF or CSV of max size 10 MB

Here's a sample response for a successful upload:

```
{
    "id": "414fdcd0-87b7-41e2-ba98-cf02b3e3cf1e",
    "name": "POS-2023-1-22.csv",
    "mimetype": "application/octet-stream",
    "size": 90,
    "createdAt": "2025-06-26T19:20:42.245Z"
}
```

Record the ID

### Form Submission

Use this URL for the form submission: [https://safcregistry.energyweb.org/api/unit-process/issue<br>](<https://safcregistry.energyweb.org/api/unit-process/issue&#xA;>)

Here's a sample payload for a successful issuance:

```
{
  "type": "SAFcA",
  "assuranceLevel": "VAL",
  "accountId": "cd863a81-156d-483e-ade5-bc0122856a7d",
  "documentationType": "pos",
  "fileTool": "414fdcd0-87b7-41e2-ba98-cf02b3e3cf1e",
  "batch": {
    "companyName": "X Fuels",
    "fuelProviderCompanyName": "X Fuels",
    "leaveDate": "2025-05-13",
    "batchNumber": "12345",
    "productionYear": 2024,
    "upliftCountry": {
      "name": "United Kingdom",
      "code": "GB"
    },
    "upliftAirport": "London Heathrow",
    "regulatorySchemesDeclaration": [
      "US RFS RINs"
    ]
  },
  "blending": {
    "isBlended": true,
    "blendingDate": "2024-11-20",
    "blendingLocation": {
      "addressLine": "1234 Main St",
      "city": "Austin",
      "state": "TX",
      "postalCode": "78731",
      "country": {
        "name": "United States of America",
        "code": "US"
      }
    }
  },
  "supplier": {
    "siteName": "X Co",
    "siteAddress": {
      "addressLine": "1234 Main St",
      "city": "Austin",
      "state": "TX",
      "postalCode": "78731",
      "country": {
        "name": "United States of America",
        "code": "US"
      }
    }
  },
  "certification": {
    "scheme": "isccEu",
    "type": "actual",
    "certificateNumber": "12345",
    "certificationBody": "CSC",
    "expiryDate": "2025-11-01",
    "certificationBodyEmail": "x@o.org",
    "traderCertificationNumber": "123456",
    "additionalScheme": "",
    "isLowILUCRiskConfirmed": false,
    "isLowDisplacementRiskConfirmed": false
  },
  "product": {
    "feedStock": {
      "name": "animalFatsOilsAndOther",
      "isSolidWaste": false,
      "wasCertifiedAsProductionResidue": true
    },
    "quantityMT": 100,
    "countries": [
      {
        "name": "United States of America",
        "code": "US"
      }
    ],
    "conversionProcess": "hefa",
    "lowerHeatingValue": 44.34,
    "jetFuelBaselineCarbonIntensity": "94g"
  },
  "greenhouseGas": {
    "totalLCAValueEuActual": 12.9,
    "inducedLandUseChange": 0,
    "extractionEmissions": 0,
    "annualisedEmissions": 0,
    "processingEmissions": 11.17,
    "transportEmissions": 1.7,
    "inUseFuelEmissions": 0,
    "savingsFromSoil": 0,
    "savingsFromCarbonAndStorage": 0,
    "savingsFromCarbonAndReplacement": 0,
    "savingsFromExcess": 0,
    "totalLCAValueincludeEmissionsFromDeliveryToAirport": true
  }
}
```

Note the "fileTool" ID is what links the file upload to the form submission

The response to the successful submission contains the operation ID:

```
{"operationId":"5c77cdf9-099a-4962-bf66-1c78306619c1"}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.safcregistry.org/user-guide/api-documentation/issuance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
